"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1070479d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107047a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107047af0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107047b80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107047c10>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107047ca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107047d30>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107047dc0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107047e50>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107047ee0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107047f70>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10704f040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10704f0d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10704f160>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10704f1f0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10704f280>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10704f310>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10704f3a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10704f430>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10704f4c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10704f550>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10704f5e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10704f670>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10704f700>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10704f820>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10704f790>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10704f8b0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10704f940>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10704f9d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10704fa60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10704faf0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10704fb80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10704fc10>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10704fca0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10704fd30>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10704fdc0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10704fe50>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10704fee0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10704ff70>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107052040>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1070520d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x107052160>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1070521f0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x107052280>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x107052310>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1070523a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x107052430>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1070524c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107052550>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1070525e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x107052670>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x107052700>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x107052790>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x107052820>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1070528b0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x107052940>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1070529d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107052a60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x107052af0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x107052b80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x107052c10>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x107052ca0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x107052d30>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x107052dc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107052e50>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x107056040>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x107052ee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1070560d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x107056160>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1070561f0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107056280>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x107056310>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107056430>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1070563a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1070564c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x107056550>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1070565e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107056700>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107056670>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107056790>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107056820>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1070568b0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107056940>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1070569d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107056a60>)]
name: str = 'fr_HOCCN'
